Go to the first, previous, next, last section, table of contents.

### `dp_f4_main`, `dp_f4_mod_main`

`dp_f4_main(plist,vlist,order)`
`dp_f4_mod_main(plist,vlist,order)`
  :: Groebner basis computation by F4 algorithm (built-in functions)

return
  list
plist, vlist
  list
order
  number, list or matrix

- These functions compute Groebner bases by F4 algorithm.
- F4 is a new generation algorithm for Groebner basis computation invented by J.C. Faugere. The current implementation of `dp_f4_main()` uses Chinese Remainder theorem and not highly optimized.
- Arguments and actions are the same as those of `dp_gr_main()`, `dp_gr_mod_main()`.

`References`
  section `dp_ord`, section `dp_gr_flags`, `dp_gr_print`, section `gr`, `hgr`, `gr_mod`, `dgr`, section Controlling Groebner basis computations

Go to the first, previous, next, last section, table of contents.